Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class CalendarTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.CalendarTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class CalendarTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`CalendarTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only.
`void` | `setBoundaryDatesMode(javax.el.ValueExpression __boundaryDatesMode)` This attribute is responsible for behaviour of dates from the previous and next months which are displayed in the current month.
`void` | `setButtonClass(javax.el.ValueExpression __buttonClass)` Assigns one or more space-separated CSS class names to the component popup button Setter for buttonClass
`void` | `setButtonIcon(javax.el.ValueExpression __buttonIcon)` Defines icon for the popup button element.
`void` | `setButtonIconDisabled(javax.el.ValueExpression __buttonIconDisabled)` Defines disabled icon for the popup button element.
`void` | `setButtonLabel(javax.el.ValueExpression __buttonLabel)` Defines label for the popup button element.
`void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setCellHeight(javax.el.ValueExpression __cellHeight)` attribute to set fixed cells height Setter for cellHeight
`void` | `setCellWidth(javax.el.ValueExpression __cellWidth)` attribute to set fixed cells width Setter for cellWidth
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setCurrentDate(javax.el.ValueExpression __currentDate)` Defines current date Setter for currentDate
`void` | `setCurrentDateChangeListener(javax.el.MethodExpression __currentDateChangeListener)` MethodExpression representing an action listener method that will be notified after date selection Setter for currentDateChangeListener
`void` | `setDataModel(javax.el.ValueExpression __dataModel)` Used to provide data for calendar elements.
`void` | `setDatePattern(javax.el.ValueExpression __datePattern)` Defines date pattern.
`void` | `setDayStyleClass(javax.el.ValueExpression __dayStyleClass)` Should be binded to some JS function that will provide style classes for special sets of days highlighting Setter for dayStyleClass
`void` | `setDefaultTime(javax.el.ValueExpression __defaultTime)` Defines time that will be used: 1) to set time when the value is empty 2) to set time when date changes and flag "resetTimeOnDateSelect" is true.
`void` | `setDirection(javax.el.ValueExpression __direction)` Defines direction of the calendar popup ("top-left", "top-right", "bottom-left", "bottom-right" (Default), "auto").
`void` | `setDisabled(javax.el.ValueExpression __disabled)` If "true", rendered is disabled.
`void` | `setEnableManualInput(javax.el.ValueExpression __enableManualInput)` If "true" calendar input will be editable and it will be possible to change the date manualy.
`void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFirstWeekDay(javax.el.ValueExpression __firstWeekDay)` Gets what the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France.
`void` | `setFocus(javax.el.ValueExpression __focus)` ID of an element to set focus after request is completed on client side Setter for focus
`void` | `setHorizontalOffset(javax.el.ValueExpression __horizontalOffset)` Sets the horizontal offset between button and calendar element conjunction point.
`void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setInputClass(javax.el.ValueExpression __inputClass)` Assigns one or more space-separated CSS class names to the component input field Setter for inputClass
`void` | `setInputSize(javax.el.ValueExpression __inputSize)` Defines the size of an input field.
`void` | `setInputStyle(javax.el.ValueExpression __inputStyle)` CSS style rules to be applied to the component input field Setter for inputStyle
`void` | `setIsDayEnabled(javax.el.ValueExpression __isDayEnabled)` Should be binded to some JS function that returns day state Setter for isDayEnabled
`void` | `setJointPoint(javax.el.ValueExpression __jointPoint)` Set the corner of the button for the popup to be connected with (top-left, top-right, bottom-left (Default), bottom-right, auto).
`void` | `setLabel(javax.el.ValueExpression __label)` A localized user presentable name for this component.
`void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
`void` | `setLocale(javax.el.ValueExpression __locale)` Used for locale definition.
`void` | `setMinDaysInFirstWeek(javax.el.ValueExpression __minDaysInFirstWeek)` Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1.
`void` | `setMode(javax.el.ValueExpression __mode)` Valid values: ajax or client.
`void` | `setMonthLabels(javax.el.ValueExpression __monthLabels)` Attribute that allows to customize names of the months.
`void` | `setMonthLabelsShort(javax.el.ValueExpression __monthLabelsShort)` Attribute that allows to customize short names of the months.
`void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client-side script method to be called before DOM is updated Setter for onbeforedomupdate
`void` | `setOnchanged(javax.el.ValueExpression __onchanged)` The client-side script method to be called when the date or time is changed and applied to input Setter for onchanged
`void` | `setOncollapse(javax.el.ValueExpression __oncollapse)` The client-side script method to be called before the calendar popup is closed Setter for oncollapse
`void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client-side script method to be called after the request is completed Setter for oncomplete
`void` | `setOncurrentdateselect(javax.el.ValueExpression __oncurrentdateselect)` The client-side script method to be called when the current month or year is changed Setter for oncurrentdateselect
`void` | `setOncurrentdateselected(javax.el.ValueExpression __oncurrentdateselected)` The client-side script method to be called after the current month or year is changed Setter for oncurrentdateselected
`void` | `setOndatemouseout(javax.el.ValueExpression __ondatemouseout)` The client-side script method to be called when a pointer is moved away from the date cell Setter for ondatemouseout
`void` | `setOndatemouseover(javax.el.ValueExpression __ondatemouseover)` The client-side script method to be called when a pointer is moved onto the date cell Setter for ondatemouseover
`void` | `setOndateselect(javax.el.ValueExpression __ondateselect)` The client-side script method to be called when some date cell is selected Setter for ondateselect
`void` | `setOndateselected(javax.el.ValueExpression __ondateselected)` The client-side script method to be called after some date cell is selected Setter for ondateselected
`void` | `setOnexpand(javax.el.ValueExpression __onexpand)` The client-side script method to be called before the calendar popup is opened Setter for onexpand
`void` | `setOninputblur(javax.el.ValueExpression __oninputblur)` The client-side script method to be called when the input field loses the focus Setter for oninputblur
`void` | `setOninputchange(javax.el.ValueExpression __oninputchange)` The client-side script method to be called when the input field value is changed manually Setter for oninputchange
`void` | `setOninputclick(javax.el.ValueExpression __oninputclick)` The client-side script method to be called when the input field is clicked Setter for oninputclick
`void` | `setOninputfocus(javax.el.ValueExpression __oninputfocus)` The client-side script method to be called when the input field gets the focus Setter for oninputfocus
`void` | `setOninputkeydown(javax.el.ValueExpression __oninputkeydown)` The client-side script method to be called when a key is pressed down in the input field Setter for oninputkeydown
`void` | `setOninputkeypress(javax.el.ValueExpression __oninputkeypress)` The client-side script method to be called when a key is pressed and released in the input field Setter for oninputkeypress
`void` | `setOninputkeyup(javax.el.ValueExpression __oninputkeyup)` The client-side script method to be called when a key is released in the input field Setter for oninputkeyup
`void` | `setOninputmouseout(javax.el.ValueExpression __oninputmouseout)` The client-side script method to be called when a pointer is moved away from the input field Setter for oninputmouseout
`void` | `setOninputmouseover(javax.el.ValueExpression __oninputmouseover)` The client-side script method to be called when a pointer is moved onto the input field Setter for oninputmouseover
`void` | `setOninputselect(javax.el.ValueExpression __oninputselect)` The client-side script method to be called when the input field value is selected Setter for oninputselect
`void` | `setOntimeselect(javax.el.ValueExpression __ontimeselect)` The client-side script method to be called before new time is selected Setter for ontimeselect
`void` | `setOntimeselected(javax.el.ValueExpression __ontimeselected)` The client-side script method to be called after time is selected Setter for ontimeselected
`void` | `setPopup(javax.el.ValueExpression __popup)` If "true", the calendar will be rendered initially as hidden with additional elements for calling as popup.
`void` | `setPreloadDateRangeBegin(javax.el.ValueExpression __preloadDateRangeBegin)` Define the initial range of date which will be loaded to client from dataModel under rendering.
`void` | `setPreloadDateRangeEnd(javax.el.ValueExpression __preloadDateRangeEnd)` Defines the last range of date which will be loaded to client from dataModel under rendering.
`void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setReadonly(javax.el.ValueExpression __readonly)` If "true".
`void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute which defines text of validation message to show, if a required field is missing Setter for requiredMessage
`void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setResetTimeOnDateSelect(javax.el.ValueExpression __resetTimeOnDateSelect)` If value is true then calendar should change time to defaultTime for newly-selected dates.
`void` | `setShowApplyButton(javax.el.ValueExpression __showApplyButton)` If false ApplyButton should not be shown.
`void` | `setShowFooter(javax.el.ValueExpression __showFooter)` If false Calendar's footer should not be shown.
`void` | `setShowHeader(javax.el.ValueExpression __showHeader)` If false Calendar's header should not be shown.
`void` | `setShowInput(javax.el.ValueExpression __showInput)` "false" value for this attribute makes text field invisible.
`void` | `setShowWeekDaysBar(javax.el.ValueExpression __showWeekDaysBar)` If false this bar should not be shown.
`void` | `setShowWeeksBar(javax.el.ValueExpression __showWeeksBar)` If false this bar should not be shown.
`void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
`void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setTabindex(javax.el.ValueExpression __tabindex)` This attribute specifies the position of the current element in the tabbing order for the current document.
`void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.
`void` | `setTimeZone(javax.el.ValueExpression __timeZone)` Used for current date calculations.
`void` | `setTodayControlMode(javax.el.ValueExpression __todayControlMode)` This attribute defines the mode for "today" control.
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener
`void` | `setVerticalOffset(javax.el.ValueExpression __verticalOffset)` Sets the vertical offset between button and calendar element conjunction point.
`void` | `setWeekDayLabels(javax.el.ValueExpression __weekDayLabels)` List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed, " Setter for weekDayLabels
`void` | `setWeekDayLabelsShort(javax.el.ValueExpression __weekDayLabelsShort)` Attribute that allows to customize short names of the weeks.
`void` | `setZindex(javax.el.ValueExpression __zindex)` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content.

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### CalendarTag

    public CalendarTag()

Method Detail

### setAjaxSingle

    public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

  boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only. Default value is "true" Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### setBoundaryDatesMode

    public void setBoundaryDatesMode(javax.el.ValueExpression __boundaryDatesMode)

  This attribute is responsible for behaviour of dates from the previous and next months which are displayed in the current month. Valid values are "inactive" (Default) dates inactive and gray colored, "scroll" boundaries work as month scrolling controls, and "select" boundaries work in the same way as "scroll" but with the date clicked selection. Default value is "inactive". Setter for boundaryDatesMode

  Parameters:
    `boundaryDatesMode` - - new value

### setButtonClass

    public void setButtonClass(javax.el.ValueExpression __buttonClass)

  Assigns one or more space-separated CSS class names to the component popup button Setter for buttonClass

  Parameters:
    `buttonClass` - - new value

### setButtonIcon

    public void setButtonIcon(javax.el.ValueExpression __buttonIcon)

  Defines icon for the popup button element. The attribute is ignored if the "buttonLabel" is set Setter for buttonIcon

  Parameters:
    `buttonIcon` - - new value

### setButtonIconDisabled

    public void setButtonIconDisabled(javax.el.ValueExpression __buttonIconDisabled)

  Defines disabled icon for the popup button element. The attribute is ignored if the "buttonLabel" is set Setter for buttonIconDisabled

  Parameters:
    `buttonIconDisabled` - - new value

### setButtonLabel

    public void setButtonLabel(javax.el.ValueExpression __buttonLabel)

  Defines label for the popup button element. If the attribute is set "buttonIcon" and "buttonIconDisabled" are ignored Setter for buttonLabel

  Parameters:
    `buttonLabel` - - new value

### setBypassUpdates

    public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### setCellHeight

    public void setCellHeight(javax.el.ValueExpression __cellHeight)

  attribute to set fixed cells height Setter for cellHeight

  Parameters:
    `cellHeight` - - new value

### setCellWidth

    public void setCellWidth(javax.el.ValueExpression __cellWidth)

  attribute to set fixed cells width Setter for cellWidth

  Parameters:
    `cellWidth` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setCurrentDate

    public void setCurrentDate(javax.el.ValueExpression __currentDate)

  Defines current date Setter for currentDate

  Parameters:
    `currentDate` - - new value

### setCurrentDateChangeListener

    public void setCurrentDateChangeListener(javax.el.MethodExpression __currentDateChangeListener)

  MethodExpression representing an action listener method that will be notified after date selection Setter for currentDateChangeListener

  Parameters:
    `currentDateChangeListener` - - new value

### setDataModel

    public void setDataModel(javax.el.ValueExpression __dataModel)

  Used to provide data for calendar elements. If data is not provided, all Data Model related functions are disabled Setter for dataModel

  Parameters:
    `dataModel` - - new value

### setDatePattern

    public void setDatePattern(javax.el.ValueExpression __datePattern)

  Defines date pattern. Default value is "MMM d, yyyy". Setter for datePattern

  Parameters:
    `datePattern` - - new value

### setDayStyleClass

    public void setDayStyleClass(javax.el.ValueExpression __dayStyleClass)

  Should be binded to some JS function that will provide style classes for special sets of days highlighting Setter for dayStyleClass

  Parameters:
    `dayStyleClass` - - new value

### setDefaultTime

    public void setDefaultTime(javax.el.ValueExpression __defaultTime)

  Defines time that will be used: 1) to set time when the value is empty 2) to set time when date changes and flag "resetTimeOnDateSelect" is true. Default value is "getDefaultValueOfDefaultTime()" Setter for defaultTime

  Parameters:
    `defaultTime` - - new value

### setDirection

    public void setDirection(javax.el.ValueExpression __direction)

  Defines direction of the calendar popup ("top-left", "top-right", "bottom-left", "bottom-right" (Default), "auto"). Default value is "bottom-right". Setter for direction

  Parameters:
    `direction` - - new value

### setDisabled

    public void setDisabled(javax.el.ValueExpression __disabled)

  If "true", rendered is disabled. In "popup" mode both controls are disabled. Default value is "false". Setter for disabled

  Parameters:
    `disabled` - - new value

### setEnableManualInput

    public void setEnableManualInput(javax.el.ValueExpression __enableManualInput)

  If "true" calendar input will be editable and it will be possible to change the date manualy. If "false" value for this attribute makes a text field "read-only", so the value can be changed only from a handle. Default value is "false". Setter for enableManualInput

  Parameters:
    `enableManualInput` - - new value

### setEventsQueue

    public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### setFirstWeekDay

    public void setFirstWeekDay(javax.el.ValueExpression __firstWeekDay)

  Gets what the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France. Default value is "getDefaultFirstWeekDay()". Possible values should be integers from 0 to 6, 0 corresponds to Sunday Setter for firstWeekDay

  Parameters:
    `firstWeekDay` - - new value

### setFocus

    public void setFocus(javax.el.ValueExpression __focus)

  ID of an element to set focus after request is completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### setHorizontalOffset

    public void setHorizontalOffset(javax.el.ValueExpression __horizontalOffset)

  Sets the horizontal offset between button and calendar element conjunction point. Default value is "0". Setter for horizontalOffset

  Parameters:
    `horizontalOffset` - - new value

### setIgnoreDupResponses

    public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setInputClass

    public void setInputClass(javax.el.ValueExpression __inputClass)

  Assigns one or more space-separated CSS class names to the component input field Setter for inputClass

  Parameters:
    `inputClass` - - new value

### setInputSize

    public void setInputSize(javax.el.ValueExpression __inputSize)

  Defines the size of an input field. Similar to the "size" attribute of &lt;h:inputText/&gt; Setter for inputSize

  Parameters:
    `inputSize` - - new value

### setInputStyle

    public void setInputStyle(javax.el.ValueExpression __inputStyle)

  CSS style rules to be applied to the component input field Setter for inputStyle

  Parameters:
    `inputStyle` - - new value

### setIsDayEnabled

    public void setIsDayEnabled(javax.el.ValueExpression __isDayEnabled)

  Should be binded to some JS function that returns day state Setter for isDayEnabled

  Parameters:
    `isDayEnabled` - - new value

### setJointPoint

    public void setJointPoint(javax.el.ValueExpression __jointPoint)

  Set the corner of the button for the popup to be connected with (top-left, top-right, bottom-left (Default), bottom-right, auto). Default value is "bottom-left". Setter for jointPoint

  Parameters:
    `jointPoint` - - new value

### setLabel

    public void setLabel(javax.el.ValueExpression __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### setLimitToList

    public void setLimitToList(javax.el.ValueExpression __limitToList)

  If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList

  Parameters:
    `limitToList` - - new value

### setLocale

    public void setLocale(javax.el.ValueExpression __locale)

  Used for locale definition. Default value is "getDefaultLocale()". Setter for locale

  Parameters:
    `locale` - - new value

### setMinDaysInFirstWeek

    public void setMinDaysInFirstWeek(javax.el.ValueExpression __minDaysInFirstWeek)

  Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1. If the minimal days required must be a full week, this method returns 7. Default value is "getDefaultMinDaysInFirstWeek()". Setter for minDaysInFirstWeek

  Parameters:
    `minDaysInFirstWeek` - - new value

### setMode

    public void setMode(javax.el.ValueExpression __mode)

  Valid values: ajax or client. Default value is "client". Setter for mode

  Parameters:
    `mode` - - new value

### setMonthLabels

    public void setMonthLabels(javax.el.ValueExpression __monthLabels)

  Attribute that allows to customize names of the months. Should accept list with the month names Setter for monthLabels

  Parameters:
    `monthLabels` - - new value

### setMonthLabelsShort

    public void setMonthLabelsShort(javax.el.ValueExpression __monthLabelsShort)

  Attribute that allows to customize short names of the months. Should accept list with the month names Setter for monthLabelsShort

  Parameters:
    `monthLabelsShort` - - new value

### setOnbeforedomupdate

    public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

  The client-side script method to be called before DOM is updated Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### setOnchanged

    public void setOnchanged(javax.el.ValueExpression __onchanged)

  The client-side script method to be called when the date or time is changed and applied to input Setter for onchanged

  Parameters:
    `onchanged` - - new value

### setOncollapse

    public void setOncollapse(javax.el.ValueExpression __oncollapse)

  The client-side script method to be called before the calendar popup is closed Setter for oncollapse

  Parameters:
    `oncollapse` - - new value

### setOncomplete

    public void setOncomplete(javax.el.ValueExpression __oncomplete)

  The client-side script method to be called after the request is completed Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### setOncurrentdateselect

    public void setOncurrentdateselect(javax.el.ValueExpression __oncurrentdateselect)

  The client-side script method to be called when the current month or year is changed Setter for oncurrentdateselect

  Parameters:
    `oncurrentdateselect` - - new value

### setOncurrentdateselected

    public void setOncurrentdateselected(javax.el.ValueExpression __oncurrentdateselected)

  The client-side script method to be called after the current month or year is changed Setter for oncurrentdateselected

  Parameters:
    `oncurrentdateselected` - - new value

### setOndatemouseout

    public void setOndatemouseout(javax.el.ValueExpression __ondatemouseout)

  The client-side script method to be called when a pointer is moved away from the date cell Setter for ondatemouseout

  Parameters:
    `ondatemouseout` - - new value

### setOndatemouseover

    public void setOndatemouseover(javax.el.ValueExpression __ondatemouseover)

  The client-side script method to be called when a pointer is moved onto the date cell Setter for ondatemouseover

  Parameters:
    `ondatemouseover` - - new value

### setOndateselect

    public void setOndateselect(javax.el.ValueExpression __ondateselect)

  The client-side script method to be called when some date cell is selected Setter for ondateselect

  Parameters:
    `ondateselect` - - new value

### setOndateselected

    public void setOndateselected(javax.el.ValueExpression __ondateselected)

  The client-side script method to be called after some date cell is selected Setter for ondateselected

  Parameters:
    `ondateselected` - - new value

### setOnexpand

    public void setOnexpand(javax.el.ValueExpression __onexpand)

  The client-side script method to be called before the calendar popup is opened Setter for onexpand

  Parameters:
    `onexpand` - - new value

### setOninputblur

    public void setOninputblur(javax.el.ValueExpression __oninputblur)

  The client-side script method to be called when the input field loses the focus Setter for oninputblur

  Parameters:
    `oninputblur` - - new value

### setOninputchange

    public void setOninputchange(javax.el.ValueExpression __oninputchange)

  The client-side script method to be called when the input field value is changed manually Setter for oninputchange

  Parameters:
    `oninputchange` - - new value

### setOninputclick

    public void setOninputclick(javax.el.ValueExpression __oninputclick)

  The client-side script method to be called when the input field is clicked Setter for oninputclick

  Parameters:
    `oninputclick` - - new value

### setOninputfocus

    public void setOninputfocus(javax.el.ValueExpression __oninputfocus)

  The client-side script method to be called when the input field gets the focus Setter for oninputfocus

  Parameters:
    `oninputfocus` - - new value

### setOninputkeydown

    public void setOninputkeydown(javax.el.ValueExpression __oninputkeydown)

  The client-side script method to be called when a key is pressed down in the input field Setter for oninputkeydown

  Parameters:
    `oninputkeydown` - - new value

### setOninputkeypress

    public void setOninputkeypress(javax.el.ValueExpression __oninputkeypress)

  The client-side script method to be called when a key is pressed and released in the input field Setter for oninputkeypress

  Parameters:
    `oninputkeypress` - - new value

### setOninputkeyup

    public void setOninputkeyup(javax.el.ValueExpression __oninputkeyup)

  The client-side script method to be called when a key is released in the input field Setter for oninputkeyup

  Parameters:
    `oninputkeyup` - - new value

### setOninputmouseout

    public void setOninputmouseout(javax.el.ValueExpression __oninputmouseout)

  The client-side script method to be called when a pointer is moved away from the input field Setter for oninputmouseout

  Parameters:
    `oninputmouseout` - - new value

### setOninputmouseover

    public void setOninputmouseover(javax.el.ValueExpression __oninputmouseover)

  The client-side script method to be called when a pointer is moved onto the input field Setter for oninputmouseover

  Parameters:
    `oninputmouseover` - - new value

### setOninputselect

    public void setOninputselect(javax.el.ValueExpression __oninputselect)

  The client-side script method to be called when the input field value is selected Setter for oninputselect

  Parameters:
    `oninputselect` - - new value

### setOntimeselect

    public void setOntimeselect(javax.el.ValueExpression __ontimeselect)

  The client-side script method to be called before new time is selected Setter for ontimeselect

  Parameters:
    `ontimeselect` - - new value

### setOntimeselected

    public void setOntimeselected(javax.el.ValueExpression __ontimeselected)

  The client-side script method to be called after time is selected Setter for ontimeselected

  Parameters:
    `ontimeselected` - - new value

### setPopup

    public void setPopup(javax.el.ValueExpression __popup)

  If "true", the calendar will be rendered initially as hidden with additional elements for calling as popup. Default value is "true". Setter for popup

  Parameters:
    `popup` - - new value

### setPreloadDateRangeBegin

    public void setPreloadDateRangeBegin(javax.el.ValueExpression __preloadDateRangeBegin)

  Define the initial range of date which will be loaded to client from dataModel under rendering. Default value is "getDefaultPreloadBegin(getCurrentDateOrDefault())". Setter for preloadDateRangeBegin

  Parameters:
    `preloadDateRangeBegin` - - new value

### setPreloadDateRangeEnd

    public void setPreloadDateRangeEnd(javax.el.ValueExpression __preloadDateRangeEnd)

  Defines the last range of date which will be loaded to client from dataModel under rendering. Default value is "getDefaultPreloadEnd(getCurrentDateOrDefault())". Setter for preloadDateRangeEnd

  Parameters:
    `preloadDateRangeEnd` - - new value

### setProcess

    public void setProcess(javax.el.ValueExpression __process)

  Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process

  Parameters:
    `process` - - new value

### setReRender

    public void setReRender(javax.el.ValueExpression __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### setReadonly

    public void setReadonly(javax.el.ValueExpression __readonly)

  If "true". Date and time are not selectable. In "popup" mode input is disabled and button is enabled. Default value is "false". Setter for readonly

  Parameters:
    `readonly` - - new value

### setRequestDelay

    public void setRequestDelay(javax.el.ValueExpression __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute which defines text of validation message to show, if a required field is missing Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setResetTimeOnDateSelect

    public void setResetTimeOnDateSelect(javax.el.ValueExpression __resetTimeOnDateSelect)

  If value is true then calendar should change time to defaultTime for newly-selected dates. Default value is "false" Setter for resetTimeOnDateSelect

  Parameters:
    `resetTimeOnDateSelect` - - new value

### setShowApplyButton

    public void setShowApplyButton(javax.el.ValueExpression __showApplyButton)

  If false ApplyButton should not be shown. Default value is "false". Setter for showApplyButton

  Parameters:
    `showApplyButton` - - new value

### setShowFooter

    public void setShowFooter(javax.el.ValueExpression __showFooter)

  If false Calendar's footer should not be shown. Default value is "true". Setter for showFooter

  Parameters:
    `showFooter` - - new value

### setShowHeader

    public void setShowHeader(javax.el.ValueExpression __showHeader)

  If false Calendar's header should not be shown. Default value is "true". Setter for showHeader

  Parameters:
    `showHeader` - - new value

### setShowInput

    public void setShowInput(javax.el.ValueExpression __showInput)

  "false" value for this attribute makes text field invisible. It works only if popupMode="true" If showInput is "true" - input field will be shown. Default value is "true". Setter for showInput

  Parameters:
    `showInput` - - new value

### setShowWeekDaysBar

    public void setShowWeekDaysBar(javax.el.ValueExpression __showWeekDaysBar)

  If false this bar should not be shown. Default value is "true". Setter for showWeekDaysBar

  Parameters:
    `showWeekDaysBar` - - new value

### setShowWeeksBar

    public void setShowWeeksBar(javax.el.ValueExpression __showWeeksBar)

  If false this bar should not be shown. Default value is "true". Setter for showWeeksBar

  Parameters:
    `showWeeksBar` - - new value

### setSimilarityGroupingId

    public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

  If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId

  Parameters:
    `similarityGroupingId` - - new value

### setStatus

    public void setStatus(javax.el.ValueExpression __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### setTabindex

    public void setTabindex(javax.el.ValueExpression __tabindex)

  This attribute specifies the position of the current element in the tabbing order for the current document. This value must be a number between 0 and 32767. User agents should ignore leading zeros Setter for tabindex

  Parameters:
    `tabindex` - - new value

### setTimeZone

    public void setTimeZone(javax.el.ValueExpression __timeZone)

  Used for current date calculations. Default value is "getDefaultTimeZone()". Setter for timeZone

  Parameters:
    `timeZone` - - new value

### setTimeout

    public void setTimeout(javax.el.ValueExpression __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### setTodayControlMode

    public void setTodayControlMode(javax.el.ValueExpression __todayControlMode)

  This attribute defines the mode for "today" control. Possible values are "scroll", "select", "hidden". Default value is "select". Setter for todayControlMode

  Parameters:
    `todayControlMode` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value of this component Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### setVerticalOffset

    public void setVerticalOffset(javax.el.ValueExpression __verticalOffset)

  Sets the vertical offset between button and calendar element conjunction point. Default value is "0". Setter for verticalOffset

  Parameters:
    `verticalOffset` - - new value

### setWeekDayLabels

    public void setWeekDayLabels(javax.el.ValueExpression __weekDayLabels)

  List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed, " Setter for weekDayLabels

  Parameters:
    `weekDayLabels` - - new value

### setWeekDayLabelsShort

    public void setWeekDayLabelsShort(javax.el.ValueExpression __weekDayLabelsShort)

  Attribute that allows to customize short names of the weeks. Should accept list with the weeks names. Setter for weekDayLabelsShort

  Parameters:
    `weekDayLabelsShort` - - new value

### setZindex

    public void setZindex(javax.el.ValueExpression __zindex)

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content. Default value is "3". Setter for zindex

  Parameters:
    `zindex` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.